Subject: bug#45033: 28.0.50; New option gnus-registery-register-all-p

From: Eric Abrahamsen <[email-masked]>
Date: Sat, 19 Dec 2020 10:04:05 -0800

On 12/18/20 23:16 PM, Basil L. Contovounesios wrote:
> Eric Abrahamsen <[email-masked]> writes:
>
>> From 1b94a5bc72ac56a132f73b5d1732800ac0ee830d Mon Sep 17 00:00:00 2001
>> From: Eric Abrahamsen <[email-masked]>
>> Date: Thu, 3 Dec 2020 15:58:57 -0800
>> Subject: [PATCH] New option gnus-registry-register-all
>>
>> * lisp/gnus/gnus-registry.el (gnus-registry-register-all): If nil,
>> the registry won't automatically create new entries for all seen
>> messages. Defaults to t to preserve previous behavior.
>             ^^^^^^^^^^^^^
>
> [...]
>
>> +If @code{gnus-registry-register-all} is non-nil (the default), the
>                                            ^^^^^^^^^^^^^^^^^^^^^
>> +registry will perform splitting for all messages.  If it is nil,
>> +splitting will only happen for children of messages you've explicitly
>> +registered.
>
> [...]
>
>> ++++
>> +*** New user option 'gnus-registry-register-all'.
>> +
>> +If non-nil (the default), create registry entries for all messages.
>       ^^^^^^^^^^^^^^^^^^^^^
>> +If nil, don't automatically create entries, they must be created
>> +manually.
>
> [...]
>
>> +(defcustom gnus-registry-register-all nil
>                                          ^^^
>> +  "If non-nil, register all articles in the registry."
>> +  :type 'boolean
>> +  :version "28.1")
>
> Was the user option meant to be initialised to t?

Bah, it was originally nil, then was supposed to be t, and it looks like
I made all the changes except the final crucial one. Thanks for pointing
this out -- I'll take another look and make sure I haven't screwed
anything else up, then fix it.